"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
class Logger {
    static get debug() {
        return Logger.level > 2 ? console.debug : Logger.nullWriter;
    }
    static get log() {
        return Logger.level > 1 ? console.log : Logger.nullWriter;
    }
    static get info() {
        return Logger.level > 0 ? console.info : Logger.nullWriter;
    }
    static get error() {
        return Logger.level >= 0 ? console.error : Logger.nullWriter;
    }
    static nullWriter(message, ...optionalParams) {
        // Null writer no action required
    }
}
exports.Logger = Logger;
Logger.level = 0;
